from typing import Optional


class ListAddressResponse:
    pass


"""
    street_id: Mapped[int] = mapped_column(ForeignKey("address_street.id"))
    street_uu_id: Mapped[str] = mapped_column(
        String, server_default="", comment="Street UUID"
    )
    postcode: Mapped[str] = mapped_column(
        String(32), nullable=False, comment="Postcode"
    )

"""


class AddressPostCodeResponse:
    street_id: Optional[int] = None
    street_uu_id: Optional[str] = None
    postcode: Optional[str] = None
